clc
clear all
close all
warning off all

[num txt] = xlsread('seznam_registrace2.xls');

rozsah = size(txt);

cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Koresp_souradnice_nereg_vaha2\';
cesta_vysledky = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Registrace_nereg_vaha2\';

prah_nastav = 0.4;
start = 1;
vse = 0;
tic

for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0

            continue
        else
        vse = vse + 1;          

        end
    end
end
count = 0;
nul = 0;
m = 1;

for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0
            nul = nul + 1;
            continue
        else
            count = count+1;
            clc
            odpocet(vse,count)  % zobrazeni provedenych % a casu do konce
            disp([num2str(cell2mat(txt(2,i))) '' '  -  ' '' num2str(cell2mat(txt(j,i)))])
            
            soubor1 = cell2mat(txt(2,i));
            soubor2 = cell2mat(txt(j,i));
            cesta_obr = cell2mat(txt(1,i));
            
            
            obr1 = imread([cesta_obr '' soubor1 '' '.jpg']);
            obr2 = imread([cesta_obr '' soubor2 '' '.jpg']);

            obr1 = imresize(obr1,[1000 1500]);
            obr2 = imresize(obr2,[1000 1500]);
            
            load([cesta_sourad '' soubor1 '' '_korespondence.mat'])
            sourad1 = koresp_sourad_vse(m:m+1,:);        
            sourad2 = koresp_sourad_vse(m+2:m+3,:);
            D = koresp_sourad_vse(m+4,:);
            D(D==0) = [];
            sourad1(:,find (sourad1(1,:)==0))=[];
            sourad2(:,find (sourad2(1,:)==0))=[];
            D2 = D;
            %% Urceni optimalniho prahu
            for p = 0.15:0.01:prah_nastav
                D(D>p) = [];
                if length(D)>25
                    prah = p;
                    break
                else
                    prah = prah_nastav;
                end
                D = D2;
            end
            %%
            disp(['Práh: ' '' num2str(prah)])
            sourad1(:,find (D>prah))=[];
            sourad2(:,find (D>prah))=[];
            D(D>prah)=[];
            disp(['Počet korespondencí: ' '' num2str(length(D))])
            
           
            m = m+5;
            p_move =  [];
            p_fixed = [];
            p_fixed(:,1) = sourad1(2,:);
            p_fixed(:,2) = sourad1(1,:);
            p_move(:,1) = sourad2(2,:);
            p_move(:,2) = sourad2(1,:);
            
            [barevny, sachovnice]=kvadraticka_transformace(p_fixed, p_move, obr1, obr2);
%             [barevny, sachovnice] = rucni_registrace2 (obr1, obr2,
%             sourad1', sourad2');
            
            imwrite(barevny,[cesta_vysledky '' soubor2 '' '_registrovany.bmp'])
            imwrite(sachovnice,[cesta_vysledky '' soubor2 '' '_sachovnice.jpg'])
            
        end
    end
    

    
    m = 1;
end





